import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Sky extends World
{

    public Sky()
    {    
       super(800, 600, 1); 
       GreenfootImage bg = new GreenfootImage(800,600);
       bg.fill();
       setBackground( bg );
       
       addObject(300);
       addObject(new Mover(), getWidth()/2, getHeight()/2);
    }
    
    public void addObject(int n)
    {
        for(int i=0; i<n; i++) {
            int x = Greenfoot.getRandomNumber(getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            addObject(new GlowingObject(),x,y);
        }
    }
}
