import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

import java.util.List;

public class Mover extends Actor
{
    private static final int SIZE = 10;
    public Mover()
    {
        GreenfootImage img = new GreenfootImage(SIZE,SIZE);
        img.setColor(Color.CYAN);
        img.fillOval(0,0,SIZE,SIZE);
        setImage(img);
    }
    
    public void act() 
    {
        lookForObjects();
        moveAround();
    }    
    
    public void moveAround()
    {
        if(Greenfoot.isKeyDown("right"))
        {
            setRotation(getRotation()+5);
        }
        if(Greenfoot.isKeyDown("left"))
        {
            setRotation(getRotation()-5);
        }
        move(1);
    }
    
    //This method should look for all GlowingObjects within a 100px
    //range and makes them glow
    public void lookForObjects()
    {
        
    }
}
